#ifndef vtkInfoSource_h
#define vtkInfoSource_h

#include "vtkPolyDataAlgorithm.h"


class VTK_EXPORT vtkInfoSource : public vtkPolyDataAlgorithm
{
public:
  static vtkInfoSource* New();
  vtkTypeMacro(vtkInfoSource, vtkPolyDataAlgorithm);
  void PrintSelf(ostream& os, vtkIndent indent) VTK_OVERRIDE;

  vtkGetVector3Macro(CalculatedPoint,double);
  vtkSetVector3Macro(CalculatedPoint,double);
  vtkGetVector3Macro(ShowCalculatedPoint,double);
  vtkSetVector3Macro(ShowCalculatedPoint,double);

virtual void SetInputPoint (double _arg1, double _arg2, double _arg3);
virtual void SetInputPoint (double _arg[3]);


protected:
  vtkInfoSource();
  ~vtkInfoSource();

private:
  vtkInfoSource(const vtkInfoSource&) = delete;
  void operator=(const vtkInfoSource&) = delete;

  double InputPoint[3];
  double CalculatedPoint[3];
  double ShowCalculatedPoint[3];
};

#endif
